## org.apache.lucene.search
Class TermsFilter

    java.lang.Object
      org.apache.lucene.search.Filter
          org.apache.lucene.search.TermsFilter

All Implemented Interfaces:
  Serializable

    public class TermsFilter

extends Filter

Constructs a filter for docs matching any of the terms added to this class. Unlike a RangeFilter this can be used for filtering on multiple terms that are not necessarily in a sequence. An example might be a collection of primary keys from a database query result or perhaps a choice of "category" labels picked by the end user. As a filter, this is much faster than the equivalent query (a BooleanQuery with many "should" TermQueries)

Author:
  maharwood
See Also:
  Serialized Form

Constructor Summary
`TermsFilter()`

Method Summary
`void` `addTerm(Term term)` Adds a term to the list of acceptable terms
`BitSet` `bits(IndexReader reader)`
`boolean` `equals(Object obj)`
`int` `hashCode()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TermsFilter

    public TermsFilter()

Method Detail

### addTerm

    public void addTerm(Term term)

  Adds a term to the list of acceptable terms

  Parameters:
    `term` -

### bits

    public BitSet bits(IndexReader reader)
                throws IOException

  Specified by:
    `bits` in class `Filter`
  Throws:
    `IOException`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.